<template>
  <template if:true={isLoading}>
    <lightning-spinner alternative-text="Loading" variant="brand"></lightning-spinner>
  </template>
  <template if:true={showCard}>
    <lightning-card title={cardTitle} icon-name={cardIcon}>
      <c-custom-datatable-extension
        key-field={keyField}
        data={records}
        columns={columns}
        column-widths-mode={columnWidthsMode}
        default-sort-direction={defaultSortDirection}
        draft-values={draftValues}
        hide-checkbox-column={hideCheckboxColumn}
        hide-table-header={hideTableHeader}
        max-column-width={maxColumnWidth}
        max-row-selection={maxRowSelection}
        min-column-width={minColumnWidth}
        row-number-offset={rowNumberOffset}
        resize-column-disabled={resizeColumnDisabled}
        show-row-number-column={showRowNumberColumn}
        suppress-bottom-bar={suppressBottomBar}
        onrowaction={handleRowAction}
        onsave={handleSave}
      >
      </c-custom-datatable-extension>
    </lightning-card>
  </template>
  <template if:false={showCard}>
    <c-custom-datatable-extension
      key-field={keyField}
      data={records}
      columns={columns}
      column-widths-mode={columnWidthsMode}
      default-sort-direction={defaultSortDirection}
      draft-values={draftValues}
      hide-checkbox-column={hideCheckboxColumn}
      hide-table-header={hideTableHeader}
      max-column-width={maxColumnWidth}
      max-row-selection={maxRowSelection}
      min-column-width={minColumnWidth}
      row-number-offset={rowNumberOffset}
      resize-column-disabled={resizeColumnDisabled}
      show-row-number-column={showRowNumberColumn}
      suppress-bottom-bar={suppressBottomBar}
      onrowaction={handleRowAction}
      onsave={handleSave}
    >
    </c-custom-datatable-extension>
  </template>
</template>
